Add an "any slot" dependency operator for dev-db/postgresql.
[mjo-overlay.git] / dev-lang / php / files / bison_build_2a.patch
1 Gentoo bug: #494240
2 Upstream: #64503
3
4 --- Zend/zend_language_parser.y.orig 2013-12-14 12:25:43.528989017 +0100
5 +++ Zend/zend_language_parser.y 2013-12-14 12:26:30.088988957 +0100
6 @@ -38,10 +38,6 @@
7
8 #define YYERROR_VERBOSE
9 #define YYSTYPE znode
10 -#ifdef ZTS
11 -# define YYPARSE_PARAM tsrm_ls
12 -# define YYLEX_PARAM tsrm_ls
13 -#endif
14
15
16 %}
17 @@ -49,6 +45,13 @@
18 %pure_parser
19 %expect 2
20
21 +%code requires {
22 +#ifdef ZTS
23 +# define YYPARSE_PARAM tsrm_ls
24 +# define YYLEX_PARAM tsrm_ls
25 +#endif
26 +}
27 +
28 %left T_INCLUDE T_INCLUDE_ONCE T_EVAL T_REQUIRE T_REQUIRE_ONCE
29 %left ','
30 %left T_LOGICAL_OR